Index: mibs/d-link/DES-1210-28ME_B2
===================================================================
--- mibs/d-link/DES-1210-28ME_B2	(revision 11288)
+++ mibs/d-link/DES-1210-28ME_B2	(working copy)
@@ -13409,9 +21159,691 @@
 
 
     -- ------------------------------------------------------------------
+    -- The Static Multicast Group
+    -- ------------------------------------------------------------------
+
+      staticRouteTable OBJECT-TYPE
+            SYNTAX SEQUENCE OF StaticRouteEntry
+            MAX-ACCESS not-accessible
+            STATUS current
+            DESCRIPTION
+                "A list of the Static Route Table."
+            ::= { companyStaticRoute 1 }
+
+        staticRouteEntry OBJECT-TYPE
+            SYNTAX StaticRouteEntry
+            MAX-ACCESS not-accessible
+            STATUS current
+            DESCRIPTION
+                "A Static route entry maintain by the IP Address, netmask and gateway."
+            INDEX { staticRouteIpAddr, staticRouteNetmask, staticRouteGateway}
+            ::= { staticRouteTable 1 }
+
+        StaticRouteEntry ::= SEQUENCE {
+            staticRouteInterfaceID   INTEGER,
+            staticRouteIpAddr     	 IpAddress,
+            staticRouteNetmask       IpAddress,
+            staticRouteGateway       IpAddress,
+            staticRouteMetric        INTEGER,
+            staticRouteProtocol      INTEGER,
+            staticRouteActiveStatus  INTEGER,
+            staticRouteRowStatus     RowStatus
+        }
+        
+        staticRouteInterfaceID OBJECT-TYPE
+            SYNTAX INTEGER
+            MAX-ACCESS read-only
+            STATUS current
+            DESCRIPTION
+                "The InterfaceID of the static Route entry."
+            ::= { staticRouteEntry 1 }
+
+        staticRouteIpAddr  OBJECT-TYPE
+           SYNTAX      IpAddress
+           MAX-ACCESS  read-only
+           STATUS      current
+           DESCRIPTION 
+              "Allows the entry of an IP address that will be a static entry into
+               the Switch's Routing Table."
+           ::= { staticRouteEntry 2 }
+        
+        staticRouteNetmask  OBJECT-TYPE
+           SYNTAX      IpAddress
+           MAX-ACCESS  read-only
+           STATUS      current
+           DESCRIPTION 
+              "Allows the entry of a subnet mask corresponding to the IP address above."
+           ::= { staticRouteEntry 3 }
+    
+        staticRouteGateway  OBJECT-TYPE
+           SYNTAX      IpAddress
+           MAX-ACCESS  read-only
+           STATUS      current
+           DESCRIPTION 
+              "Allows the entry of an IP address of a gateway for the IP address above."
+           ::= { staticRouteEntry 4 }
+
+        staticRouteMetric OBJECT-TYPE
+            SYNTAX INTEGER
+            MAX-ACCESS read-write
+            STATUS current
+            DESCRIPTION
+                "Allows the entry of a routing protocol metric representing the number of 
+                 routers between the Switch and the IP address above.(1-65535)"
+            ::= { staticRouteEntry 5 }
+
+        staticRouteProtocol OBJECT-TYPE
+           SYNTAX  INTEGER {
+                       default(0),
+                       static(1)
+                   }
+           MAX-ACCESS  read-only
+           STATUS  current
+           DESCRIPTION
+             "The route protocol of the static route entry."
+            ::= { staticRouteEntry 6 }
+
+        staticRouteActiveStatus OBJECT-TYPE
+           SYNTAX  INTEGER {
+                       active(0),
+                       inactive(1)
+                   }
+           MAX-ACCESS  read-only
+           STATUS  current
+           DESCRIPTION
+             "The active/inactive status of the static route entry."
+           ::= { staticRouteEntry 8 }
+
+        staticRouteRowStatus OBJECT-TYPE
+            SYNTAX     RowStatus
+            MAX-ACCESS read-write
+            STATUS     current
+            DESCRIPTION
+                "The status of an entry in the Static Route Table.  Only a subset
+                 of the rowstatus variables (active, createAndGo, destroy) 
+                 are available."
+            ::= { staticRouteEntry 9 }
+
+    -- ------------------------------------------------------------------
+    -- The Static Multicast Group
+    -- ------------------------------------------------------------------
+
+      staticRouteV6Table OBJECT-TYPE
+            SYNTAX SEQUENCE OF StaticRouteV6Entry
+            MAX-ACCESS not-accessible
+            STATUS current
+            DESCRIPTION
+                "A list of the Static Route Table."
+            ::= { companyStaticRoute 2 }
+
+        staticRouteV6Entry OBJECT-TYPE
+            SYNTAX StaticRouteV6Entry
+            MAX-ACCESS not-accessible
+            STATUS current
+            DESCRIPTION
+                "A Static route entry maintain by the IP Address, netmask and gateway."
+            INDEX { staticRouteV6IpAddr, staticRouteV6Prefix, staticRouteV6NextHop}
+            ::= { staticRouteV6Table 1 }
+
+        StaticRouteV6Entry ::= SEQUENCE {
+            staticRouteV6InterfaceID   INTEGER,
+            staticRouteV6IpAddr        Ipv6Address,
+            staticRouteV6Prefix        INTEGER,
+            staticRouteV6NextHop       Ipv6Address,
+            staticRouteV6Metric        INTEGER,
+            staticRouteV6Protocol      INTEGER,
+            staticRouteV6ActiveStatus  INTEGER,
+            staticRouteV6RowStatus     RowStatus
+        }
+        
+        staticRouteV6InterfaceID OBJECT-TYPE
+            SYNTAX INTEGER
+            MAX-ACCESS read-only
+            STATUS current
+            DESCRIPTION
+                "The InterfaceID of the static Route entry."
+            ::= { staticRouteV6Entry 1 }
+
+        staticRouteV6IpAddr  OBJECT-TYPE
+           SYNTAX      Ipv6Address
+           MAX-ACCESS  read-only
+           STATUS      current
+           DESCRIPTION 
+              "Allows the entry of an IP address that will be a static entry into
+               the Switch's Routing Table."
+           ::= { staticRouteV6Entry 2 }
+        
+        staticRouteV6Prefix  OBJECT-TYPE
+           SYNTAX      INTEGER
+           MAX-ACCESS  read-only
+           STATUS      current
+           DESCRIPTION 
+              "Allows the entry of a subnet mask corresponding to the IP address above."
+           ::= { staticRouteV6Entry 3 }
+    
+        staticRouteV6NextHop  OBJECT-TYPE
+           SYNTAX      Ipv6Address
+           MAX-ACCESS  read-only
+           STATUS      current
+           DESCRIPTION 
+              "Allows the entry of an IP address of a gateway for the IP address above."
+           ::= { staticRouteV6Entry 4 }
+
+        staticRouteV6Metric OBJECT-TYPE
+            SYNTAX INTEGER
+            MAX-ACCESS read-write
+            STATUS current
+            DESCRIPTION
+                "Allows the entry of a routing protocol metric representing the number of 
+                 routers between the Switch and the IP address above.(1-65535)"
+            ::= { staticRouteV6Entry 5 }
+
+        staticRouteV6Protocol OBJECT-TYPE
+           SYNTAX  INTEGER {
+                       default(0),
+                       static(1)
+                   }
+           MAX-ACCESS  read-only
+           STATUS  current
+           DESCRIPTION
+             "The route protocol of the static route entry."
+            ::= { staticRouteV6Entry 6 }
+
+        staticRouteV6ActiveStatus OBJECT-TYPE
+           SYNTAX  INTEGER {
+                       active(0),
+                       inactive(1)
+                   }
+           MAX-ACCESS  read-only
+           STATUS  current
+           DESCRIPTION
+             "The active/inactive status of the static route entry."
+           ::= { staticRouteV6Entry 8 }
+
+        staticRouteV6RowStatus OBJECT-TYPE
+            SYNTAX     RowStatus
+            MAX-ACCESS read-write
+            STATUS     current
+            DESCRIPTION
+                "The status of an entry in the Static Route Table.  Only a subset
+                 of the rowstatus variables (active, createAndGo, destroy) 
+                 are available."
+            ::= { staticRouteV6Entry 9 }
+
+
+-- start DLINK_AGENT_BACIC_INFO
+
+        agentCPUutilization                   OBJECT IDENTIFIER ::= { companyAgentBasicInfo  1 }
+        agentMEMutilization                   OBJECT IDENTIFIER ::= { companyAgentBasicInfo  2 }
+        
+      -- ----------------------------------------------------------------
+      -- The agentCPUutilization group
+      -- ----------------------------------------------------------------
+        agentCPUutilizationIn5sec OBJECT-TYPE
+        SYNTAX  Integer32
+        MAX-ACCESS  read-only
+        STATUS  current
+        DESCRIPTION
+            "The time scale is set at 5 second intervals.
+             The value will be between 0% (idle) and 100% (very busy)."
+        ::= { agentCPUutilization 1 }
+ 
+       agentCPUutilizationIn1min OBJECT-TYPE
+        SYNTAX  Integer32
+ 
+        MAX-ACCESS  read-only
+        STATUS  current
+        DESCRIPTION
+            "The time scale is set at 1 minute intervals.
+             The value will be between 0% (idle) and 100% (very busy)."
+        ::= { agentCPUutilization 2 }
+ 
+     agentCPUutilizationIn5min OBJECT-TYPE
+        SYNTAX  Integer32
+        MAX-ACCESS  read-only
+        STATUS  current
+        DESCRIPTION
+            "The time scale is set at 5 minute intervals.
+             The value will be between 0% (idle) and 100% (very busy)."
+        ::= { agentCPUutilization 3 }
+
+      -- ----------------------------------------------------------------
+      -- The agentMEMutilization group
+      -- ----------------------------------------------------------------
+        agentMEMutilizationIn5sec OBJECT-TYPE
+        SYNTAX  Integer32
+        MAX-ACCESS  read-only
+        STATUS  current
+        DESCRIPTION
+            "The time scale is set at 5 second intervals.
+             The value will be between 0% (idle) and 100% (very busy)."
+        ::= { agentMEMutilization 1 }
+ 
+       agentMEMutilizationIn1min OBJECT-TYPE
+        SYNTAX  Integer32
+ 
+        MAX-ACCESS  read-only
+        STATUS  current
+        DESCRIPTION
+            "The time scale is set at 1 minute intervals.
+             The value will be between 0% (idle) and 100% (very busy)."
+        ::= { agentMEMutilization 2 }
+ 
+     agentMEMutilizationIn5min OBJECT-TYPE
+        SYNTAX  Integer32
+        MAX-ACCESS  read-only
+        STATUS  current
+        DESCRIPTION
+            "The time scale is set at 5 minute intervals.
+             The value will be between 0% (idle) and 100% (very busy)."
+        ::= { agentMEMutilization 3 }
+
+-- end DLINK_AGENT_BACIC_INFO
+
+    agentPORTutilizationTable     OBJECT-TYPE
+        SYNTAX SEQUENCE OF AgentPORTutilizationEntry
+        MAX-ACCESS not-accessible
+        STATUS current
+        DESCRIPTION
+            ""
+        ::= { companyAgentBasicInfo 3 }
+        
+    agentPORTutilizationEntry OBJECT-TYPE
+        SYNTAX AgentPORTutilizationEntry
+        MAX-ACCESS not-accessible
+        STATUS current
+        DESCRIPTION
+            ""
+        INDEX { agentPORTutilizationPortIndex }
+        ::= { agentPORTutilizationTable 1 }
+  
+    AgentPORTutilizationEntry ::= 
+           SEQUENCE { 
+              agentPORTutilizationPortIndex 
+                 Integer32, 
+              agentPORTutilizationPortTX5sec
+                 Integer32, 
+              agentPORTutilizationPortRX5sec 
+                 Integer32,
+              agentPORTutilizationPortUtil5sec 
+                 Integer32,  
+              agentPORTutilizationPortUtil1min 
+                 Integer32,
+              agentPORTutilizationPortUtil5min 
+                 Integer32                                    
+          }
+        
+         agentPORTutilizationPortIndex OBJECT-TYPE 
+           SYNTAX      Integer32 (1..28)
+           MAX-ACCESS  read-only 
+           STATUS      current 
+           DESCRIPTION 
+              ""
+           ::= { agentPORTutilizationEntry 1 }
+            
+        
+         agentPORTutilizationPortTX5sec OBJECT-TYPE
+           SYNTAX Integer32
+           MAX-ACCESS  read-only
+           STATUS      current
+           DESCRIPTION
+              ""
+           ::= { agentPORTutilizationEntry 2 }
+        
+         agentPORTutilizationPortRX5sec OBJECT-TYPE
+           SYNTAX Integer32
+           MAX-ACCESS  read-only
+           STATUS      current
+           DESCRIPTION
+              ""
+           ::= { agentPORTutilizationEntry 3 }
+           
+         agentPORTutilizationPortUtil5sec OBJECT-TYPE
+           SYNTAX Integer32
+           MAX-ACCESS  read-only
+           STATUS      current
+           DESCRIPTION
+              ""
+           ::= { agentPORTutilizationEntry 4 }
+		   
+         agentPORTutilizationPortUtil1min OBJECT-TYPE
+           SYNTAX Integer32
+           MAX-ACCESS  read-only
+           STATUS      current
+           DESCRIPTION
+              ""
+           ::= { agentPORTutilizationEntry 5 }
+		   
+         agentPORTutilizationPortUtil5min OBJECT-TYPE
+           SYNTAX Integer32
+           MAX-ACCESS  read-only
+           STATUS      current
+           DESCRIPTION
+              ""
+           ::= { agentPORTutilizationEntry 6 }
+
+ -- ----------------------------------------------------------
+ -- The companyL2PT  Groups
+ -- ----------------------------------------------------------
+ -- L2PT Group --------------------------------------------- --
+-- -----------------------------------------------------------------------------
+-- swL2PTState
+-- -----------------------------------------------------------------------------
+    l2PTState OBJECT-TYPE
+        SYNTAX  INTEGER {
+               enabled(1),
+               disabled(2)
+               }
+        MAX-ACCESS  read-write
+        STATUS  current
+        DESCRIPTION
+            "This object indicates the global state of Layer 2 protocol tunneling."
+    	::= { companyL2PT 1 }
+-- -----------------------------------------------------------------------------
+-- L2PTPortTable
+-- -----------------------------------------------------------------------------
+         l2PTPortTable OBJECT-TYPE 
+           SYNTAX SEQUENCE OF L2PTEntry
+           MAX-ACCESS  not-accessible
+           STATUS      current 
+           DESCRIPTION 
+              "A table that cont
+              ains the cable situation for each port."
+           ::= { companyL2PT 2 }     
+    
+         l2PTEntry OBJECT-TYPE 
+           SYNTAX      L2PTEntry  
+           MAX-ACCESS  not-accessible
+           STATUS      current 
+           DESCRIPTION 
+              "A list of cable situations for each port on the device."
+            INDEX { l2PTPortIndex }
+            ::= { l2PTPortTable 1 }
+
+        L2PTEntry ::= 
+          SEQUENCE {
+                l2PTPortIndex
+                  INTEGER,
+			    l2PTPortType
+				  INTEGER,
+			    l2PTProtocol
+				  BITS
+            }
+
+
+        l2PTPortIndex OBJECT-TYPE
+            SYNTAX  INTEGER (1..28)
+            MAX-ACCESS  not-accessible
+            STATUS  current
+            DESCRIPTION
+        	    "This object indicates the port number.
+                 For all machines give maximum port number."
+    	    ::= { l2PTEntry 1 }
+
+        l2PTPortType OBJECT-TYPE
+            SYNTAX INTEGER {
+                none(1),
+                uni(2),
+                nni(3)
+                }
+         MAX-ACCESS  read-write
+            STATUS current
+            DESCRIPTION
+                "This object indicates the Layer 2 protocol tunneling port type.
+
+		        The 'none' value indicates that the port is normal. Layer 2 protocol tunneling
+		        is disabled on this port.
+	
+		        The 'uni' value indicates that the port is connected to the customer site. 
+                A Layer 2 PDU received on a UNI port can be tunneled to a remote customer site across the provider network.
+	
+		        The 'nni' value indicates that the port is connected to the provider network. 
+                A Tunneled Layer 2 PDU received on an NNI port will be restored to its original format."
+	        DEFVAL { none }
+    	    ::= { l2PTEntry 2 }
+
+        l2PTProtocol  OBJECT-TYPE
+		    SYNTAX BITS {
+				    stp(0),
+				    gvrp(1),
+    		    	macCC(2),
+		    	            macCD(3),
+                                    lldp(4),
+                                    isis(5)
+		         }
+		    MAX-ACCESS read-write
+		    STATUS     current
+		    DESCRIPTION  
+		        "This object indicates the tunneled protocols on this port.
+		        This object can only be applied on a UNI port. 
+		    
+		        If the 'stp' BIT is set, the STP BPDU will be tunneled.
+	
+		        If the 'gvrp' BIT is set, the GVRP PDU will be tunneled.
+		    	    
+		         If the 'mac-01-00-0C-CC-CC-CC' BIT is set, the PDU with the	            
+                 destination MAC address 01-00-0C-CC-CC-CC will be tunneled .
+	
+		        If the 'mac-01-00-0C-CC-CC-CD' BIT is set, then the PDU with the
+	                destination MAC address 01-00-0C-CC-CC-CD will be tunneled.
+
+		        If the 'lldp' BIT is set, the LLDP will be tunneled.
+
+                        If the 'is-is' BIT is set, the IS-IS will be tunneled."
+		    ::= { l2PTEntry 3 }
+-- -----------------------------------------------------------------------------
+-- L2PTThresholdTable
+-- -----------------------------------------------------------------------------
+    l2PTThresholdTable OBJECT-TYPE
+    	SYNTAX     SEQUENCE OF L2PTThresholdEntry
+    	MAX-ACCESS not-accessible
+    	STATUS     current
+    	DESCRIPTION 
+    	    "This table contains the protocol tunneling threshold of a UNI port."
+    	::= { companyL2PT 3}
+
+    l2PTThresholdEntry OBJECT-TYPE
+        SYNTAX  L2PTThresholdEntry
+        MAX-ACCESS  not-accessible
+        STATUS  current
+        DESCRIPTION
+            "A list with the Layer2 Protocol tunneling threshold."
+        INDEX   { l2PTPortIndex, l2PTProtocolIndex }
+        ::= { l2PTThresholdTable 1 }
+     
+   
+     L2PTThresholdEntry ::=
+        SEQUENCE {
+                l2PTProtocolIndex
+            	    INTEGER,
+                l2PTDropThreshold       
+            	    INTEGER
+                } 
+        
+    l2PTProtocolIndex   OBJECT-TYPE
+		SYNTAX     INTEGER {
+					stp(1),
+					gvrp(2),
+			    	macCC(3),
+			    	macCD(4),
+                                lldp(5),
+                                isis(6) 	
+			    }		
+		MAX-ACCESS  not-accessible
+		STATUS     current
+		DESCRIPTION  
+		    "This object indicates the tunneled protocol of the port."
+		::= { l2PTThresholdEntry 1 }
+
+    l2PTDropThreshold  OBJECT-TYPE
+		SYNTAX     INTEGER (0..65535)
+		MAX-ACCESS read-write
+		STATUS     current
+		DESCRIPTION  
+		    "This object indicates the drop threshold for a given protocol on a UNI port.
+	            If the arrival rate of a tunneled protocol has reached its threshold, the received
+	            PDUs of this protocol will be dropped. 
+	            The value 0 indicates there is no threshold for the protocol."
+		DEFVAL { 0 }
+		::= { l2PTThresholdEntry 2 }
+-- -----------------------------------------------------------------------------
+-- L2PTStpMacAddress
+-- -----------------------------------------------------------------------------
+    l2PTStpMacAddress OBJECT-TYPE
+        SYNTAX  MacAddress
+        MAX-ACCESS  read-write
+        STATUS  current
+        DESCRIPTION
+            "This object indicates the destination multicast address of specified tunneled STP protocol to translate into."
+    	::= { companyL2PT 4 }
+-- -----------------------------------------------------------------------------
+-- L2PTGvrpMacAddress
+-- -----------------------------------------------------------------------------
+    l2PTGvrpMacAddress OBJECT-TYPE
+        SYNTAX  MacAddress
+        MAX-ACCESS  read-write
+        STATUS  current
+        DESCRIPTION
+            "This object indicates the destination multicast address of specified tunneled Gvrp protocol to translate into."
+    	::= { companyL2PT 5 }
+-- -----------------------------------------------------------------------------
+-- L2PTCCMacAddress
+-- -----------------------------------------------------------------------------
+    l2PTCCMacAddress OBJECT-TYPE
+        SYNTAX  MacAddress
+        MAX-ACCESS  read-write
+        STATUS  current
+        DESCRIPTION
+            "This object indicates the destination multicast address of specified tunneled 'mac-01-00-0C-CC-CC-CC' to translate into."
+    	::= { companyL2PT 6 }
+-- -----------------------------------------------------------------------------
+-- L2PTCDMacAddress
+-- -----------------------------------------------------------------------------
+    l2PTCDMacAddress OBJECT-TYPE
+        SYNTAX  MacAddress
+        MAX-ACCESS  read-write
+        STATUS  current
+        DESCRIPTION
+            "This object indicates the destination multicast address of specified tunneled 'mac-01-00-0C-CC-CC-CD' to translate into."
+    	::= { companyL2PT 7 }
+-- -----------------------------------------------------------------------------
+-- L2PTLldpMacAddress
+-- -----------------------------------------------------------------------------
+    l2PTLldpMacAddress OBJECT-TYPE
+        SYNTAX  MacAddress
+        MAX-ACCESS  read-write
+        STATUS  current
+        DESCRIPTION
+            "This object indicates the destination multicast address of specified tunneled LLDP protocol to translate into."
+    	::= { companyL2PT 8 }
+-- -----------------------------------------------------------------------------
+-- L2PTIsisMacAddress
+-- -----------------------------------------------------------------------------
+    l2PTIsisMacAddress OBJECT-TYPE
+        SYNTAX  MacAddress
+        MAX-ACCESS  read-write
+        STATUS  current
+        DESCRIPTION
+            "This object indicates the destination multicast address of specified tunneled IS-IS protocol to translate into."
+    	::= { companyL2PT 9 }
+
+    -- ------------------------------------------------------------------
     -- The SMTP Group
     -- ------------------------------------------------------------------
 
+      ipv4smtpState OBJECT-TYPE
+           SYNTAX      INTEGER {  disabled(0),enabled(1) }
+           MAX-ACCESS  read-write
+           STATUS      obsolete
+           DESCRIPTION
+               "Enable or Disable SMTP function."
+
+           ::= { companySMTP 1 }
+
+      ipv4smtpServerAddr  OBJECT-TYPE
+           SYNTAX      IpAddress
+           MAX-ACCESS  read-write
+           STATUS      obsolete
+           DESCRIPTION
+              "SMTP Server's IP Address"
+            ::= { companySMTP 2 }
+
+      ipv4smtpServerPort OBJECT-TYPE
+            SYNTAX INTEGER
+            MAX-ACCESS read-write
+            STATUS obsolete
+            DESCRIPTION
+                "SMTP Server's port"
+            ::= { companySMTP 3}
+
+      ipv4smtpSelfMailAddr OBJECT-TYPE
+            SYNTAX      OCTET STRING
+            MAX-ACCESS  read-write
+            STATUS      obsolete
+            DESCRIPTION
+                "The sender's (DUT) mail address ."
+            ::= { companySMTP  4 }
+        
+        
+
+    -- ------------------------------------------------------------------
+    -- smtpRecvMailAddrTable
+    -- ------------------------------------------------------------------
+    
+    ipv4smtpRecvMailAddrTable  OBJECT-TYPE
+        SYNTAX     SEQUENCE OF Ipv4SmtpRecvMailAddrEntry 
+        MAX-ACCESS not-accessible
+        STATUS     current
+        DESCRIPTION
+           "Receivers' mail address table."
+
+        ::= { companySMTP 5 }
+
+    ipv4smtpRecvMailAddrEntry OBJECT-TYPE
+        SYNTAX     Ipv4SmtpRecvMailAddrEntry 
+        MAX-ACCESS not-accessible
+        STATUS     current
+        DESCRIPTION
+              "Receivers' mail address entry."
+
+        INDEX { ipv4smtpRecvMailAddrIndex }
+        ::= { ipv4smtpRecvMailAddrTable 1 }
+
+    Ipv4SmtpRecvMailAddrEntry  ::= 
+            SEQUENCE {
+              ipv4smtpRecvMailAddrIndex          INTEGER,
+              ipv4smtpRecvMailAddr               OCTET STRING,
+              ipv4smtpRecvMailAddrStatus         RowStatus
+              }
+
+    ipv4smtpRecvMailAddrIndex OBJECT-TYPE
+       SYNTAX       INTEGER (1..8)
+       MAX-ACCESS   read-only
+       STATUS       current
+       DESCRIPTION
+         "Receivers' mail address index (1~8)." 
+        ::= { ipv4smtpRecvMailAddrEntry  1 }
+
+    ipv4smtpRecvMailAddr OBJECT-TYPE
+        SYNTAX      OCTET STRING
+        MAX-ACCESS  read-write
+        STATUS      current
+        DESCRIPTION
+              "Receivers' mail address."
+        ::= { ipv4smtpRecvMailAddrEntry  2 }
+        
+    ipv4smtpRecvMailAddrStatus OBJECT-TYPE
+       SYNTAX RowStatus
+       MAX-ACCESS read-write
+       STATUS current
+       DESCRIPTION
+         "Rowstatus of the receiver's mail address."
+       ::= { ipv4smtpRecvMailAddrEntry 3 }
+       
+--IPv6 smtp server Group
+
+	  sysSMTPServerGroup OBJECT IDENTIFIER ::= { companySMTP  6 }
+              
       smtpState OBJECT-TYPE
            SYNTAX      INTEGER {  disabled(0),enabled(1) }
            MAX-ACCESS  read-write
@@ -13419,16 +21851,36 @@
            DESCRIPTION
                "Enable or Disable SMTP function."
 
-           ::= { companySMTP 1 }
+           ::= { sysSMTPServerGroup 1 }
 
       smtpServerAddr  OBJECT-TYPE
-           SYNTAX      IpAddress
+           SYNTAX      Ipv6Address
            MAX-ACCESS  read-write
            STATUS      current
            DESCRIPTION
               "SMTP Server's IP Address"
-            ::= { companySMTP 2 }
+            ::= { sysSMTPServerGroup 2 }
 
+      smtpServerAddrType OBJECT-TYPE
+            SYNTAX    INTEGER {
+                      iPv4 (1),
+                      iPv6 (2)
+            }
+            MAX-ACCESS  read-write
+            STATUS      current
+            DESCRIPTION
+                "SMTP Server's Address type."
+            ::= { sysSMTPServerGroup 3 }
+
+      smtpServerAddrInterfaceName   OBJECT-TYPE
+            SYNTAX      OCTET STRING
+            MAX-ACCESS  read-write
+            STATUS      current
+            DESCRIPTION
+                "Specifies the interface name when the smtpServerAddrInterfaceName is linklocal address."
+            ::= { sysSMTPServerGroup 4 } 
+   
+
       smtpServerPort OBJECT-TYPE
             SYNTAX INTEGER
             MAX-ACCESS read-write
@@ -13435,7 +21887,7 @@
             STATUS current
             DESCRIPTION
                 "SMTP Server's port"
-            ::= { companySMTP 3}
+            ::= { sysSMTPServerGroup 5}
 
       smtpSelfMailAddr OBJECT-TYPE
             SYNTAX      OCTET STRING
@@ -13443,7 +21895,7 @@
             STATUS      current
             DESCRIPTION
                 "The sender's (DUT) mail address ."
-            ::= { companySMTP  4 }
+            ::= { sysSMTPServerGroup  6 }
         
         
 
@@ -13458,7 +21910,7 @@
         DESCRIPTION
            "Receivers' mail address table."
 
-        ::= { companySMTP 5 }
+        ::= { sysSMTPServerGroup 7 }
 
     smtpRecvMailAddrEntry OBJECT-TYPE
         SYNTAX     SmtpRecvMailAddrEntry 
@@ -13478,7 +21930,7 @@
               }
 
     smtpRecvMailAddrIndex OBJECT-TYPE
-       SYNTAX       INTEGER
+       SYNTAX       INTEGER (1..8)
        MAX-ACCESS   read-only
        STATUS       current
        DESCRIPTION
@@ -13547,10 +21999,20 @@
                 PortList,
             igmpMulticastVlanTagMemberPort
             	PortList,
+            igmpMulticastVlanUntaggedSourcePort
+            	PortList,
             igmpMulticastVlanState
             	INTEGER,
             igmpMulticastVlanReplaceSourceIp
             	IpAddress,
+			igmpMulticastVlanRemapPriority
+				INTEGER,
+			igmpMulticastVlanReplacePriority
+				INTEGER,
+			igmpMulticastVlanSrcPortDymLearn
+				INTEGER,
+			igmpMulticastVlanReplaceCVID
+				INTEGER,
             igmpMulticastVlanRowStatus
                 RowStatus
         }
@@ -13603,7 +22065,15 @@
             "This object indicates the port list of the tag member ports of the IGMP 
              snooping multicast VLAN."
         ::= { igmpMulticastVlanEntry 5 }
-    		
+
+    igmpMulticastVlanUntaggedSourcePort OBJECT-TYPE
+        SYNTAX  PortList
+        MAX-ACCESS  read-write
+        STATUS  current
+        DESCRIPTION
+            "This object indicates the port list of the untag source ports of the IGMP 
+             snooping multicast VLAN."
+        ::= { igmpMulticastVlanEntry 6 }		
     igmpMulticastVlanState OBJECT-TYPE
         SYNTAX  INTEGER{
         	enabled(1),
@@ -13613,7 +22083,7 @@
         STATUS  current
         DESCRIPTION
             "This object can be used to enable or disable the IGMP snooping multicast VLAN."
-        ::= { igmpMulticastVlanEntry 6 }
+        ::= { igmpMulticastVlanEntry 7 }
             
     igmpMulticastVlanReplaceSourceIp OBJECT-TYPE
     	SYNTAX  IpAddress
@@ -13621,8 +22091,48 @@
         STATUS  current
         DESCRIPTION
             "The replacement source IP of this multicast VLAN."
-        ::= { igmpMulticastVlanEntry 7 }
+        ::= { igmpMulticastVlanEntry 8 }
         
+    igmpMulticastVlanRemapPriority OBJECT-TYPE
+    	SYNTAX  INTEGER (-1..7)
+        MAX-ACCESS  read-write
+        STATUS  current
+        DESCRIPTION
+            "The remap priority of this multicast VLAN."
+		DEFVAL  { -1 }
+        ::= { igmpMulticastVlanEntry 9 }
+        
+    igmpMulticastVlanReplacePriority OBJECT-TYPE
+    	SYNTAX  INTEGER {
+                      enabled(1),
+                      disabled(2)
+                   }
+        MAX-ACCESS  read-write
+        STATUS  current
+        DESCRIPTION
+            "The replacement priority of this multicast VLAN."
+		DEFVAL  { disabled }
+        ::= { igmpMulticastVlanEntry 10 }
+
+    igmpMulticastVlanSrcPortDymLearn OBJECT-TYPE
+    	SYNTAX  INTEGER {
+                      enabled(1),
+                      disabled(2)
+                   }
+        MAX-ACCESS  read-write
+        STATUS  current
+        DESCRIPTION
+            "The source port dynamical learn of this multicast VLAN."
+		DEFVAL  { disabled }
+        ::= { igmpMulticastVlanEntry 11 }
+    igmpMulticastVlanReplaceCVID OBJECT-TYPE
+    	SYNTAX  INTEGER (-1..4094)
+        MAX-ACCESS  read-write
+        STATUS  current
+        DESCRIPTION
+            "The replacement cvid of this multicast VLAN."
+		DEFVAL  { -1 }
+        ::= { igmpMulticastVlanEntry 12 }
     igmpMulticastVlanRowStatus OBJECT-TYPE
         SYNTAX  RowStatus
         MAX-ACCESS  read-create
@@ -13629,7 +22139,7 @@
         STATUS  current
         DESCRIPTION
             "This object indicates the status of this entry."
-        ::= { igmpMulticastVlanEntry 8 }         
+        ::= { igmpMulticastVlanEntry 13 }         
           
     -- -----------------------------------------------------------------------------
     --  igmpMulticastVlanGroupTable	
